<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTeamsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('teams', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('country_id')->default(1);
            $table->string('first_name');
            $table->string('last_name');
            $table->string('email');
            $table->string('image')->nullable();
            $table->string('designation')->nullable();
            $table->string('team_role');
            $table->string('phone')->nullable();
            $table->string('keywords')->nullable();
            $table->text('linkedin')->nullable();
            $table->text('instagram')->nullable();
            $table->text('short_description')->nullable();
            $table->text('meta_description')->nullable();
            $table->text('bio')->nullable();
            $table->integer('position')->default(1)->nullable();
            $table->integer('status')->default(1)->nullable();
            $table->integer('deleted')->default(0)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('teams');
    }
}
